#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "jsocket.h"
#include "util.h"

int main(int argc, char **argv) {
  long s;
  char op= *argv[1];
  char *resp;

  s = j_socket();

  if(j_connect(s, "localhost", 3000) < 0) {
    fprintf(stderr, "conexion rechazada.  Esta corriendo el servidor?\n");
    exit(1);
  }

  write(s, &op, 1); /* mandamos la operacion */
  sendstr(s, argv[2]); /* enviamos la llave */
  if (op=='d') {
    sendstr(s, argv[3]); /* enviamos el valor */
  }

  resp= getstr(s);
  printf("%s\n", resp);

  /* opcional: de todas formas se libera al terminar el proceso */
  close(s);
  free(resp);
 
  return 0;
}
