#define _POSIX_C_SOURCE 1
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "jsocket.h"
#include "util.h"

int main(int argc, char **argv) {
  long s;
  char op= *argv[1];
  char *resp;

  s = j_socket();

  if(j_connect(s, "localhost", 3000) < 0) {
    fprintf(stderr, "conexion rechazada.  Esta corriendo el servidor?\n");
    exit(1);
  }

  FILE *sf= fdopen(s, "r+");
  fwrite( &op, 1, 1, sf); /* mandamos la operacion */
  fsendstr(sf, argv[2]); /* enviamos la llave */
  if (op=='d') {
    fsendstr(sf, argv[3]); /* enviamos el valor */
  }

  fflush(sf);
  resp= fgetstr(sf);
  printf("%s\n", resp);

  /* opcional: de todas formas se libera al terminar el proceso */
  fclose(sf);
  free(resp);
 
  return 0;
}
